For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task statuses of the project with the specified id.
      • POSTCreates a new task status for the specified project.
      • GETReturns the specified task status of a project.
      • PUTUpdates a task status for the specified project.
      • POSTDeletes the task status with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Statuses

Returns all task statuses of the project with the specified id.

GET
https://api.awork.com/api/v1/projects/:projectId/taskstatuses
GET
/api/v1/projects/:projectId/taskstatuses
$curl https://api.awork.com/api/v1/projects/projectId/taskstatuses \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "name": "Conceptualize",
5 "type": "progress",
6 "order": 2,
7 "icon": "arrow_forward",
8 "projectId": "123e4567-e89b-12d3-a456-426614174000",
9 "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
10 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
11 "createdOn": "2022-03-{10}T15:51:58.100Z",
12 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
13 "updatedOn": "2022-03-10T16:15:26.100Z",
14 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
15 "isExternal": true
16 }
17]
Returns all task statuses relevant to the project with the specified id. If the project is linked to a workflow, the workflow's task statuses are returned. <Check title="Required Permissions" icon="key">The user must have either `project-master-data:read` permissions or be assigned to a task on the specified project.</Check>
Was this page helpful?
Previous

Creates a new task status for the specified project.

Next
Built with

Returns all task statuses relevant to the project with the specified id. If the project is linked to a workflow, the workflow’s task statuses are returned.

Required Permissions
The user must have either project-master-data:read permissions or be assigned to a task on the specified project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The primary identifier of this task status.
namestring or null
The name of the task status.
typestring or null
Of what general type is this task status?.
orderdouble or null
The order of the task status in a project.
iconstring or null
The icon of the task status.
projectIdstring or nullformat: "uuid"
Is set if the task status is related to a project.
projectTypeIdstring or nullformat: "uuid"
Is set if the task status is related to a project type.
workflowIdstring or nullformat: "uuid"
Is set if the task status is related to a workflow.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
isExternalboolean

True if the task status is coming from an external workspace (awork Connect).

Errors

401
Unauthorized Error
404
Not Found Error